Bug 906843 - Review Request: rubygem-qpid_proton - Ruby language bindings for the Qpid Proton messaging framework
Summary: Review Request: rubygem-qpid_proton - Ruby language bindings for the Qpid Pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-01 16:45 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-08 06:51:18 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Darryl L. Pierce 2013-02-01 16:45:33 UTC
Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton-0.3-1.fc18.src.rpm
Description: Ruby language bindings for the Qpid Proton messaging framework
Fedora Account System Username: mcpierce

Comment 1 Mamoru TASAKA 2013-02-28 00:48:26 UTC
Taking.

Comment 2 Mamoru TASAKA 2013-03-01 09:50:54 UTC
Well,
* Current rawhide qpid_proton is 0.4 and BuildRequires dependency
  cannot be satisfied. Would you check this?

* Also the original gem file cannot be found on rubygems site.

Comment 3 Darryl L. Pierce 2013-03-01 20:20:39 UTC
(In reply to comment #2)
> Well,
> * Current rawhide qpid_proton is 0.4 and BuildRequires dependency
>   cannot be satisfied. Would you check this?
> 
> * Also the original gem file cannot be found on rubygems site.

Proton 0.4 was voted on and released this week. I've rebased this package on that release:

Updated SPEC:  http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton-0.4-1.fc18.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5067601

Comment 4 Mamoru TASAKA 2013-03-02 18:20:07 UTC
For 0.4-1

* Version specific requires for ruby(release)
  - It seems that ruby(release) (Build)Requires should
    not have version specific dependency
    (see Vít's comments:
    http://lists.fedoraproject.org/pipermail/ruby-sig/2013-February/001259.html
    )

* Installing native extension
  - The following line
-------------------------------------------------------
mkdir -p %{buildroot}%{gem_extdir_mri}/
mv %{buildroot}%{gem_instdir}/lib/cproton.so \
   %{buildroot}%{gem_extdir_mri}/lib
-------------------------------------------------------
    makes cproton.so _renamed_ to lib (i.e. the
    file "lib" is created with these lines).

* gem install
  - For gem install, please use %gem_install macro
    (note that on F-19, %gem_install used different
     option for documentation generation - on F-18/17,
     %gem_install also uses --rdoc option)

Currently "Installing native extension" item is really blocker.

Comment 5 Darryl L. Pierce 2013-03-02 19:30:25 UTC
(In reply to comment #4)
> For 0.4-1
> 
> * Version specific requires for ruby(release)
>   - It seems that ruby(release) (Build)Requires should
>     not have version specific dependency
>     (see Vít's comments:
>    
> http://lists.fedoraproject.org/pipermail/ruby-sig/2013-February/001259.html
>     )

Fixed.
 
> * Installing native extension
>   - The following line
> -------------------------------------------------------
> mkdir -p %{buildroot}%{gem_extdir_mri}/
> mv %{buildroot}%{gem_instdir}/lib/cproton.so \
>    %{buildroot}%{gem_extdir_mri}/lib
> -------------------------------------------------------
>     makes cproton.so _renamed_ to lib (i.e. the
>     file "lib" is created with these lines).

Fixed. The specfile now ensures the directory exists, and then moves the shared library appropriately.
 
> * gem install
>   - For gem install, please use %gem_install macro
>     (note that on F-19, %gem_install used different
>      option for documentation generation - on F-18/17,
>      %gem_install also uses --rdoc option)
> 
> Currently "Installing native extension" item is really blocker.

Done.

Updated SPEC:  http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/rubygem-qpid_proton-0.4-1.1.fc18.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5070299

Comment 6 Mamoru TASAKA 2013-03-04 04:10:00 UTC
For 0.4-1.1

* %gem_install usage
  - As written in /etc/rpm/macros.rubygems:
---------------------------------------------------------
# Install gem into appropriate directory.
# -n<gem_file>      Overrides gem file name for installation.
# -d<install_dir>   Set installation directory.
---------------------------------------------------------
    and the default option is ./%{gem_dir}, and %{gem_name}-%{version}.gem
    for -n option. Note that to change gem_file and install_dir,
    explitit "-n" and "-d" is needed.
    For currently, for this package simply "%gem_install" is enough
    (and actually the following "%{gem_name}-%{version}.gem"
    is just ignored).

Other things are okay.
--------------------------------------------------
    This package (rubygem-qpid_proton) is
    APPROVED by mtasaka
--------------------------------------------------

Comment 7 Darryl L. Pierce 2013-03-05 01:21:55 UTC
Thank you!


New Package SCM Request
=======================
Package Name: rubygem-qpid_proton
Short Description: Ruby language bindings for the Qpid Proton messaging framework
Owners: mcpierce
Branches: f17 f18 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-05 14:17:22 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-03-07 00:16:46 UTC
rubygem-qpid_proton-0.4-2.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-qpid_proton-0.4-2.1.fc18

Comment 10 Fedora Update System 2013-03-07 00:30:54 UTC
rubygem-qpid_proton-0.4-2.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-qpid_proton-0.4-2.1.fc17

Comment 11 Fedora Update System 2013-03-07 23:58:48 UTC
rubygem-qpid_proton-0.4-2.1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Mamoru TASAKA 2013-03-08 06:51:18 UTC
Closing.

Comment 13 Fedora Update System 2013-03-19 20:07:44 UTC
rubygem-qpid_proton-0.4-2.1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-03-19 20:09:19 UTC
rubygem-qpid_proton-0.4-2.1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Darryl L. Pierce 2014-02-10 18:29:17 UTC
Package Change Request
======================
Package Name: rubygem-qpid_proton
New Branches: epel7
Owners: mcpierce

Comment 16 Gwyn Ciesla 2014-02-10 18:41:10 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.